ICC-4c C# SDK

Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController Class Reference
Inheritance diagram for ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController:

## Public Member Functions
| ICC4cPwmSdkDeviceController (bool isEthernet=false)
bool | Connect (int port)
| Connects to the device through COM port More...
bool | Connect (string ipAddress, int port)
| Connects to the device through Ethernet More...
void | Disconnect ()
| Disconnects from the device More...
bool | GoToDfuMode ()
| Switches device to DFU mode More...
bool | ChangeModeToPro ()
| Switches device to PRO mode More...
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode More...
bool | IsConnected ()
| Returns true, if connection to device is established More...
bool | Reconnect ()
| Reconnects to alGety connected device More...
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic More...
string | GetProductSerialNumberOnChannel (EChannel channel)
| Returns serial number of the product on specific channel More...
List< EConnectedDeviceType > | GetProductTypeOnChannel (EChannel channel)
| Returns type of the product on specific channel More...
List< EConnectedDeviceType > | GetConnectedDeviceTypes ()
| Returns all connected product types on all channels More...
int | GetBoardFirmwareId ()
| Returns firmware ID of the electronic. More...
int | GetBoardFirmwareBranch ()
| Returns branch ID of the electronic. More...
char | GetBoardFirmwareType ()
| Returns type of the electronic. More...
int | GetBoardFirmwareMajorVersion ()
| Returns firmware major version of the electronic. More...
int | GetBoardFirmwareMinorVersion ()
| Returns firmware minor version of the electronic. More...
int | GetBoardFirmwareRevisionVersion ()
| Returns firmware revision version of the electronic. More...
int | GetBoardFirmwareBuildVersion ()
| Returns firmware build version of the electronic. More...
string | GetFirmwareSerialNumber ()
| Returns firmware serial number. More...
string | GetGitHeadSha1 ()
| Returns Git Head SHA1. More...
IDeviceErrorState[] | GetDeviceStatus ()
| Returns states of the device. More...
void | ResetErrorFlags ()
| Resets error flag to 0. More...
EChannel | GetEepromActiveChannel ()
| Returns the active EEPROM channel More...
void | SetEepromActiveChannel (EChannel channel)
| Sets the active EEPROM channel More...
void | SetBytes (EChannel channel, int index, byte[] inputBytes)
| Sets EEPROM bytes of the product. More...
byte[] | GetBytes (EChannel channel, int index, int length)
| Returns EEPROM bytes of the product. More...
int | GetEepromVersion (EChannel channel)
| Returns EEPROM version. More...
int | GetEepromSubVersion (EChannel channel)
| Returns EEPROM subversion. More...
int | GetPartConfiguration (EChannel channel)
| Returns part configuration value. More...
int | GetPartConfigurationVersion (EChannel channel)
| Returns part configuration version value. More...
float | GetMaxPositiveCurrent (EChannel channel)
| Returns max positive current. More...
float | GetMaxNegativeCurrent (EChannel channel)
| Returns max negative current. More...
int | GetOqcResult (EChannel channel)
| Returns OQC result of the device. More...
uint | GetProductionTimeStamp (EChannel channel)
| Returns production time stamp of the device. More...
void | LockDeviceEepromWriting (EChannel channel)
| Locks device EEPROM writing. More...
void | UnlockDeviceEepromWriting (EChannel channel)
| Unlocks device EEPROM writing. More...
void | ReparseDeviceEeprom (EChannel channel)
| Reparse device EEPROM. More...
int | GetDeviceEepromSize (EChannel channel)
| Returns EEPROM size of the device. More...
float | GetBoardOutputTemperature ()
| Returns board output temperature. More...
void | SetBoardOutputTemperatureThreshold (float temperatureThreshold)
| Sets board output temperature threshold. More...
float | GetBoardOutputTemperatureThreshold ()
| Returns board output temperature threshold. More...
float | GetBoardPowerTemperature ()
| Returns board power temperature. More...
void | SetBoardPowerTemperatureThreshold (float temperatureThreshold)
| Sets board power temperature threshold. More...
float | GetBoardPowerTemperatureThreshold ()
| Returns board power temperature threshold. More...
float | GetDeviceTemperature (EChannel channel)
| Returns device temperature. More...
void | SetDeviceTemperatureThreshold (EChannel channel, float temperatureThreshold)
| Sets device temperature threshold. More...
float | GetDeviceTemperatureThreshold (EChannel channel)
| Returns board temperature threshold. More...
void | SetActiveSystem (EIcc4cControlModeSystems controlModeSystem, EChannel channel)
| Sets active control mode system of the axis. More...
void | ChangeActiveSystem (EChannel channel, EInputSignalStageSystem selectedInputStageSystem)
| Changes active input system of the channel. More...
float | GetCurrent (EChannel channel)
| Returns static input in amperes. More...
void | SetCurrent (EChannel channel, float value)
| Sets static input in amperes. More...
float | GetDiopter (EChannel channel)
| Returns static input in dpt. More...
void | SetDiopter (EChannel channel, float value)
| Sets static input in dpt. More...
float[] | GetVectorValues (EChannel channel)
| Returns list of vector values More...
void | SetVectorValues (EChannel channel, float[] values, int startIndex=0)
| Sets list of vector values More...
void | SetUnitType (EChannel channel, EICC4cPwmUnitType unit)
| Sets vector unit type More...
void | SwitchArbitraryVector (EChannel channel, bool running)
| Sets status of signal generator (running, stopped). More...
float | GetSampleRate (EChannel channel)
| Returns sample rate in Hz. More...
void | SetSampleRate (EChannel channel, float value)
| Sets sample rate in Hz. More...
float | GetMinimumSamplingRate (EChannel channel)
| Returns minimum sampling rate in Hz. More...
float | GetMaximumSamplingRate (EChannel channel)
| Returns maximum sampling rate in Hz. More...
void | SwitchRunning (EChannel channel, bool enable)
| Disable/enable signal generator (running, stopped). More...
ESignalGeneratorShape | GetShape (EChannel channel)
| Returns shape of waveform. More...
void | SetShape (EChannel channel, ESignalGeneratorShape shape)
| Sets shape of waveform. More...
float | GetFrequency (EChannel channel)
| Returns frequency in Hz of generated signal. More...
void | SetFrequency (EChannel channel, float value)
| Sets frequency in Hz of generated signal. More...
float | GetAmplitude (EChannel channel)
| Returns amplitude of generated signal. More...
void | SetAmplitude (EChannel channel, float value)
| Sets amplitude of generated signal. More...
float | GetScale (EChannel channel)
| Returns multiplier of input. More...
void | SetScale (EChannel channel, float value)
| Sets multiplier of input. More...
float | GetPhaseDelay (EChannel channel)
| Returns phase in rad of generated signal. More...
void | SetPhaseDelay (EChannel channel, float phaseDelay)
| Sets phase in rad of generated signal. More...
float | GetDutyCycles (EChannel channel)
| Returns duty cycle of square and pulse shapes (ignored for other shape types) More...
void | SetDutyCycles (EChannel channel, float dutyCycles)
| Sets duty cycle of square and pulse shapes (ignored for other shape types) More...
SignalGeneratorParametersDto | GetSignalGeneratorValues (EChannel channel)
| Returns object populated with signal generator values. More...
void | SetSignalGeneratorValues (EChannel channel, SignalGeneratorParametersDto parameters)
| Sets object populated with signal generator values. More...
void | ResetFirmware ()
| Resets Firmware More...
bool | GetFrontEndPowerState ()
| Returns FrontEnd power supply state More...
void | SetFontEndPowerState (bool state)
| Sets FrontEnd power supply state More...
float | GetFrontEndVoltage ()
| Returns FrontEnd supply voltage [V] More...
void | SetFrontEndVoltage (float frontEndVoltage)
| Sets FrontEnd supply voltage [V] More...
EPwmFrequency | GetOutputStagePwmFrequency ()
| Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz] More...
void | SetOutputStagePwmFrequency (EPwmFrequency frequency)
| Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz] More...
bool | GetOutputStageEnabled (EChannel channel)
| Returns output stage state on specified channel More...
void | SetOutputStageEnabled (EChannel channel, bool enabled)
| Sets output stage state on specified channel More...
float | GetAdcI (EChannel channel)
| Returns current on specified channel More...
float | GetAdcV (EChannel channel)
| Returns voltage on specified channel More...
int | GetDevPower (EChannel channel)
| Returns 3v3 for device on specified channel More...
void | SetDevPower (EChannel channel, int power)
| Sets 3v3 for device on specified channel More...
List< EConnectedDeviceType > | GetDeviceType (EChannel channel)
| Returns device type on specified channel More...
float | GetUin ()
| Returns UIN More...
float | GetIin ()
| Returns IIN More...
float | GetUfe ()
| Returns UFE More...
float | GetAnalogIn (EChannel channel)
| Returns analog input on specified channel More...
float | GetResistance (EChannel channel)
| Returns Resistance on specified channel More...
EAutoConfig | GetAutoConfig ()
| Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType) More...
void | SetAutoConfig (EAutoConfig eAutoConfig)
| Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType) More...
List< byte > | GetI2CList (EChannel channel)
| Returns list of I2C addresses on specified channel More...
void | SetGpioState (int value)
| Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5 More...
int | GetGPIOState ()
| Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5 More...
float | GetLensCompensationOutputCurrent (EChannel channel)

## Properties
IStatus | Status`[get]`
IDeviceEeprom | DeviceEeprom`[get]`
ITemperatureManager | TemperatureManager`[get]`
ISignalFlowManager | SignalFlowManager`[get]`
IMiscFeatures | MiscFeatures`[get]`
IInputStage | InputStage`[get]`
IInputConditioningStage | InputConditioningStage`[get]`
IControlModeStage | ControlModeStage`[get]`
IOutputStage | OutputStage`[get]`
ILensCompensation | LensCompensation`[get]`
IStaticValue | StaticValue`[get]`
ISignalGenerator | SignalGenerator`[get]`
IArbitraryVector | ArbitraryVector`[get]`
IOffsetAndScale | OffsetAndScale`[get]`
Properties inherited from ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController
IStatus | Status`[get]`
IDeviceEeprom | DeviceEeprom`[get]`
ITemperatureManager | TemperatureManager`[get]`
ISignalFlowManager | SignalFlowManager`[get]`
IMiscFeatures | MiscFeatures`[get]`
Properties inherited from ICC4cPwmSdk.Device.ISignalFlowManager
IInputStage | InputStage`[get]`
IInputConditioningStage | InputConditioningStage`[get]`
IControlModeStage | ControlModeStage`[get]`
IOutputStage | OutputStage`[get]`
Properties inherited from ICC4cPwmSdk.Device.IInputStage
IStaticValue | StaticValue`[get]`
ISignalGenerator | SignalGenerator`[get]`
IArbitraryVector | ArbitraryVector`[get]`
Properties inherited from ICC4cPwmSdk.Device.IInputConditioningStage
IOffsetAndScale | OffsetAndScale`[get]`
Properties inherited from ICC4cPwmSdk.Device.IControlModeStage
ILensCompensation | LensCompensation`[get]`

## Member Function Documentation

## ◆ ChangeActiveSystem()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ChangeActiveSystem | ( | EChannel | channel,
|  | EInputSignalStageSystem | selectedInputStageSystem
| ) |  |
| inline

Changes active input system of the channel.

Returns

Implements ICC4cPwmSdk.Device.IInputStage.

## ◆ ChangeModeToPro()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ChangeModeToPro | ( |  | ) |
| inline

Switches device to PRO mode

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ ChangeModeToSimple()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ChangeModeToSimple | ( |  | ) |
| inline

Switches device to SIMPLE mode

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ Connect() [1/2]

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Connect | ( | int | port | ) |
| inline

Connects to the device through COM port

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ Connect() [2/2]

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Connect | ( | string | ipAddress,
|  | int | port
| ) |  |
| inline

Connects to the device through Ethernet

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ Disconnect()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Disconnect | ( |  | ) |
| inline

Disconnects from the device

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetAdcI()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAdcI | ( | EChannel | channel | ) |
| inline

Returns current on specified channel

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetAdcV()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAdcV | ( | EChannel | channel | ) |
| inline

Returns voltage on specified channel

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetAmplitude()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAmplitude | ( | EChannel | channel | ) |
| inline

Returns amplitude of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetAnalogIn()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogIn | ( | EChannel | channel | ) |
| inline

Returns analog input on specified channel

Parameters

  channel |

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetAutoConfig()

EAutoConfig ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAutoConfig | ( |  | ) |
| inline

Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetBoardFirmwareBranch()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareBranch | ( |  | ) |
| inline

Returns branch ID of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareBuildVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareBuildVersion | ( |  | ) |
| inline

Returns firmware build version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareId()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareId | ( |  | ) |
| inline

Returns firmware ID of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareMajorVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareMajorVersion | ( |  | ) |
| inline

Returns firmware major version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareMinorVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareMinorVersion | ( |  | ) |
| inline

Returns firmware minor version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareRevisionVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareRevisionVersion | ( |  | ) |
| inline

Returns firmware revision version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareType()

char ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareType | ( |  | ) |
| inline

Returns type of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardOutputTemperature()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardOutputTemperature | ( |  | ) |
| inline

Returns board output temperature.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetBoardOutputTemperatureThreshold()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardOutputTemperatureThreshold | ( |  | ) |
| inline

Returns board output temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetBoardPowerTemperature()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardPowerTemperature | ( |  | ) |
| inline

Returns board power temperature.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetBoardPowerTemperatureThreshold()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardPowerTemperatureThreshold | ( |  | ) |
| inline

Returns board power temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetBytes()

byte [] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBytes | ( | EChannel | channel,
|  | int | index,
|  | int | length
| ) |  |
| inline

Returns EEPROM bytes of the product.

Parameters

  index | Index of the start
  length | Amount of Get bytes

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetConnectedDeviceTypes()

List<EConnectedDeviceType> ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetConnectedDeviceTypes | ( |  | ) |
| inline

Returns all connected product types on all channels

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetCurrent()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetCurrent | ( | EChannel | channel | ) |
| inline

Returns static input in amperes.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ GetDeviceEepromSize()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceEepromSize | ( | EChannel | channel | ) |
| inline

Returns EEPROM size of the device.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetDeviceStatus()

IDeviceErrorState [] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceStatus | ( |  | ) |
| inline

Returns states of the device.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetDeviceTemperature()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceTemperature | ( | EChannel | channel | ) |
| inline

Returns device temperature.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetDeviceTemperatureThreshold()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceTemperatureThreshold | ( | EChannel | channel | ) |
| inline

Returns board temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetDeviceType()

List<EConnectedDeviceType> ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceType | ( | EChannel | channel | ) |
| inline

Returns device type on specified channel

Parameters

  channel |

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetDevPower()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDevPower | ( | EChannel | channel | ) |
| inline

Returns 3v3 for device on specified channel

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetDiopter()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDiopter | ( | EChannel | channel | ) |
| inline

Returns static input in dpt.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ GetDutyCycles()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDutyCycles | ( | EChannel | channel | ) |
| inline

Returns duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetEepromActiveChannel()

EChannel ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetEepromActiveChannel | ( |  | ) |
| inline

Returns the active EEPROM channel

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetEepromSubVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetEepromSubVersion | ( | EChannel | channel | ) |
| inline

Returns EEPROM subversion.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetEepromVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetEepromVersion | ( | EChannel | channel | ) |
| inline

Returns EEPROM version.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetElectronicSerialNumber()

string ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetElectronicSerialNumber | ( |  | ) |
| inline

Returns serial number of the electronic

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetFirmwareSerialNumber()

string ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetFirmwareSerialNumber | ( |  | ) |
| inline

Returns firmware serial number.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetFrequency()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetFrequency | ( | EChannel | channel | ) |
| inline

Returns frequency in Hz of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetFrontEndPowerState()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetFrontEndPowerState | ( |  | ) |
| inline

Returns FrontEnd power supply state

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetFrontEndVoltage()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetFrontEndVoltage | ( |  | ) |
| inline

Returns FrontEnd supply voltage [V]

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetGitHeadSha1()

string ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetGitHeadSha1 | ( |  | ) |
| inline

Returns Git Head SHA1.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetGPIOState()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetGPIOState | ( |  | ) |
| inline

Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetI2CList()

List<byte> ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetI2CList | ( | EChannel | channel | ) |
| inline

Returns list of I2C addresses on specified channel

Parameters

  channel |

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetIin()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetIin | ( |  | ) |
| inline

Returns IIN

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetMaximumSamplingRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMaximumSamplingRate | ( | EChannel | channel | ) |
| inline

Returns maximum sampling rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetMaxNegativeCurrent()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMaxNegativeCurrent | ( | EChannel | channel | ) |
| inline

Returns max negative current.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetMaxPositiveCurrent()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMaxPositiveCurrent | ( | EChannel | channel | ) |
| inline

Returns max positive current.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetMinimumSamplingRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMinimumSamplingRate | ( | EChannel | channel | ) |
| inline

Returns minimum sampling rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetOqcResult()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOqcResult | ( | EChannel | channel | ) |
| inline

Returns OQC result of the device.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetOutputStageEnabled()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOutputStageEnabled | ( | EChannel | channel | ) |
| inline

Returns output stage state on specified channel

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetOutputStagePwmFrequency()

EPwmFrequency ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOutputStagePwmFrequency | ( |  | ) |
| inline

Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz]

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetPartConfiguration()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetPartConfiguration | ( | EChannel | channel | ) |
| inline

Returns part configuration value.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetPartConfigurationVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetPartConfigurationVersion | ( | EChannel | channel | ) |
| inline

Returns part configuration version value.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetPhaseDelay()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetPhaseDelay | ( | EChannel | channel | ) |
| inline

Returns phase in rad of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetProductionTimeStamp()

uint ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetProductionTimeStamp | ( | EChannel | channel | ) |
| inline

Returns production time stamp of the device.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetProductSerialNumberOnChannel()

string ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetProductSerialNumberOnChannel | ( | EChannel | channel | ) |
| inline

Returns serial number of the product on specific channel

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetProductTypeOnChannel()

List<EConnectedDeviceType> ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetProductTypeOnChannel | ( | EChannel | channel | ) |
| inline

Returns type of the product on specific channel

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetResistance()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetResistance | ( | EChannel | channel | ) |
| inline

Returns Resistance on specified channel

Parameters

  channel |

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetSampleRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetSampleRate | ( | EChannel | channel | ) |
| inline

Returns sample rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetScale()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetScale | ( | EChannel | channel | ) |
| inline

Returns multiplier of input.

Returns

Implements ICC4cPwmSdk.Device.IOffsetAndScale.

## ◆ GetShape()

ESignalGeneratorShape ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetShape | ( | EChannel | channel | ) |
| inline

Returns shape of waveform.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetSignalGeneratorValues()

SignalGeneratorParametersDto ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetSignalGeneratorValues | ( | EChannel | channel | ) |
| inline

Returns object populated with signal generator values.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetUfe()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetUfe | ( |  | ) |
| inline

Returns UFE

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetUin()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetUin | ( |  | ) |
| inline

Returns UIN

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetVectorValues()

float [] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetVectorValues | ( | EChannel | channel | ) |
| inline

Returns list of vector values

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GoToDfuMode()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GoToDfuMode | ( |  | ) |
| inline

Switches device to DFU mode

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ IsConnected()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.IsConnected | ( |  | ) |
| inline

Returns true, if connection to device is established

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ LockDeviceEepromWriting()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.LockDeviceEepromWriting | ( | EChannel | channel | ) |
| inline

Locks device EEPROM writing.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ Reconnect()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Reconnect | ( |  | ) |
| inline

Reconnects to alGety connected device

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ ReparseDeviceEeprom()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ReparseDeviceEeprom | ( | EChannel | channel | ) |
| inline

Reparse device EEPROM.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ ResetErrorFlags()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ResetErrorFlags | ( |  | ) |
| inline

Resets error flag to 0.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ ResetFirmware()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ResetFirmware | ( |  | ) |
| inline

Resets Firmware

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetActiveSystem()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetActiveSystem | ( | EIcc4cControlModeSystems | controlModeSystem,
|  | EChannel | channel
| ) |  |
| inline

Sets active control mode system of the axis.

Returns

Implements ICC4cPwmSdk.Device.IControlModeStage.

## ◆ SetAmplitude()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAmplitude | ( | EChannel | channel,
|  | float | value
| ) |  |
| inline

Sets amplitude of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetAutoConfig()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAutoConfig | ( | EAutoConfig | eAutoConfig | ) |
| inline

Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetBoardOutputTemperatureThreshold()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetBoardOutputTemperatureThreshold | ( | float | temperatureThreshold | ) |
| inline

Sets board output temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ SetBoardPowerTemperatureThreshold()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetBoardPowerTemperatureThreshold | ( | float | temperatureThreshold | ) |
| inline

Sets board power temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ SetBytes()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetBytes | ( | EChannel | channel,
|  | int | index,
|  | byte[] | inputBytes
| ) |  |
| inline

Sets EEPROM bytes of the product.

Parameters

  index | Index of the start
  inputBytes | Bytes to be set
  channel |

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ SetCurrent()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetCurrent | ( | EChannel | channel,
|  | float | value
| ) |  |
| inline

Sets static input in amperes.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ SetDeviceTemperatureThreshold()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDeviceTemperatureThreshold | ( | EChannel | channel,
|  | float | temperatureThreshold
| ) |  |
| inline

Sets device temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ SetDevPower()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDevPower | ( | EChannel | channel,
|  | int | power
| ) |  |
| inline

Sets 3v3 for device on specified channel

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetDiopter()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDiopter | ( | EChannel | channel,
|  | float | value
| ) |  |
| inline

Sets static input in dpt.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ SetDutyCycles()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDutyCycles | ( | EChannel | channel,
|  | float | dutyCycles
| ) |  |
| inline

Sets duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetEepromActiveChannel()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetEepromActiveChannel | ( | EChannel | channel | ) |
| inline

Sets the active EEPROM channel

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ SetFontEndPowerState()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetFontEndPowerState | ( | bool | state | ) |
| inline

Sets FrontEnd power supply state

Parameters

  state |

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetFrequency()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetFrequency | ( | EChannel | channel,
|  | float | value
| ) |  |
| inline

Sets frequency in Hz of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetFrontEndVoltage()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetFrontEndVoltage | ( | float | frontEndVoltage | ) |
| inline

Sets FrontEnd supply voltage [V]

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetGpioState()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetGpioState | ( | int | value | ) |
| inline

Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetOutputStageEnabled()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetOutputStageEnabled | ( | EChannel | channel,
|  | bool | enabled
| ) |  |
| inline

Sets output stage state on specified channel

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetOutputStagePwmFrequency()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetOutputStagePwmFrequency | ( | EPwmFrequency | frequency | ) |
| inline

Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz]

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetPhaseDelay()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetPhaseDelay | ( | EChannel | channel,
|  | float | phaseDelay
| ) |  |
| inline

Sets phase in rad of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetSampleRate()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetSampleRate | ( | EChannel | channel,
|  | float | value
| ) |  |
| inline

Sets sample rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SetScale()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetScale | ( | EChannel | channel,
|  | float | value
| ) |  |
| inline

Sets multiplier of input.

Returns

Implements ICC4cPwmSdk.Device.IOffsetAndScale.

## ◆ SetShape()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetShape | ( | EChannel | channel,
|  | ESignalGeneratorShape | shape
| ) |  |
| inline

Sets shape of waveform.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetSignalGeneratorValues()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetSignalGeneratorValues | ( | EChannel | channel,
|  | SignalGeneratorParametersDto | axisValues
| ) |  |
| inline

Sets object populated with signal generator values.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetUnitType | ( | EChannel | channel,
|  | EICC4cPwmUnitType | unit
| ) |  |
| inline

Sets vector unit type

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SetVectorValues()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetVectorValues | ( | EChannel | channel,
|  | float[] | values,
|  | int | startIndex = `0`
| ) |  |
| inline

Sets list of vector values

Parameters

  channel | channel
  values | List of vector values
  startIndex |

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SwitchArbitraryVector()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SwitchArbitraryVector | ( | EChannel | channel,
|  | bool | running
| ) |  |
| inline

Sets status of signal generator (running, stopped).

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SwitchRunning()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SwitchRunning | ( | EChannel | channel,
|  | bool | enable
| ) |  |
| inline

Disable/enable signal generator (running, stopped).

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ UnlockDeviceEepromWriting()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.UnlockDeviceEepromWriting | ( | EChannel | channel | ) |
| inline

Unlocks device EEPROM writing.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

The documentation for this class was generated from the following file:

- Device/ICC4cPwmSdkDeviceController.cs